bigloo (4.6a-1) unstable; urgency=low

  * Official 4.6a tentative (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Mon, 27 Jan 2025 07:47:52 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Full ns_sprintrr replacement (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Sat, 25 Jan 2025 09:23:02 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Rename posix_ IO functions to avoid name conflicts when unistd.h included (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Fri, 24 Jan 2025 07:00:08 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Partial removal of DNS deprecated ns_sprintrr (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Wed, 22 Jan 2025 09:47:27 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Switch to GC 8.2.8 (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Tue, 21 Jan 2025 09:52:46 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Add ChangeLog.md, a changes summary

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Tue, 21 Jan 2025 09:29:18 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Minor cfa/tvector code refactoring (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Tue, 21 Jan 2025 08:33:50 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Merge pull request #122 from svenha/master

 -- manuel-serrano <manuel-serrano@users.noreply.github.com>  Tue, 21 Jan 2025 08:24:45 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Fix overflow detection (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Sun, 15 Dec 2024 07:26:45 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Fix another typo

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Fri, 13 Dec 2024 14:17:52 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Fix CI script

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Fri, 13 Dec 2024 10:23:00 +0100

bigloo (4.6a-1) unstable; urgency=low

  * .

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Fri, 13 Dec 2024 10:19:20 +0100

bigloo (4.6a-1) unstable; urgency=low

  * .

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Fri, 13 Dec 2024 10:17:45 +0100

bigloo (4.6a-1) unstable; urgency=low

  * .

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Fri, 13 Dec 2024 10:15:47 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Search for libasound2 replacement in CI

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Fri, 13 Dec 2024 10:13:03 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Github CI again

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Fri, 13 Dec 2024 10:05:34 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Fighting CI again

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Fri, 13 Dec 2024 10:04:23 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Split ubuntu dependencies in CI script

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Fri, 13 Dec 2024 10:01:22 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Syntactic call/cc optimization that use bind-exit when possible (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Fri, 13 Dec 2024 09:10:13 +0100

bigloo (4.6a-1) unstable; urgency=low

  * New peephole optimization (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Fri, 13 Dec 2024 07:38:28 +0100

bigloo (4.6a-1) unstable; urgency=low

  * backtrace configuration

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Thu, 12 Dec 2024 20:36:15 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Improve unquote-splicing expansion when used in last position of lists (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Thu, 12 Dec 2024 19:15:53 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Two configuration fixes (bignums and libbacktrace) (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Thu, 12 Dec 2024 12:15:40 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Fix generic bignums overflow (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Thu, 12 Dec 2024 10:17:17 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Fix generic bignums (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Thu, 12 Dec 2024 09:06:02 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Check libtool during configuration only when libuv is selected

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Thu, 12 Dec 2024 08:20:41 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Fix libbacktrace configuration (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Wed, 11 Dec 2024 17:28:43 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Remove useless cast operations (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Tue, 10 Dec 2024 10:12:34 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Minor configure logging improvement

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Mon, 9 Dec 2024 07:33:41 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Merge branch 'master' of inria:GIT/bigloo

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Wed, 4 Dec 2024 07:39:31 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Fix default error handler

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Mon, 2 Dec 2024 06:22:51 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Minor arithmetic expansion optimization (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Fri, 29 Nov 2024 09:46:46 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Merge branch 'master' of inria:GIT/bigloo

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Thu, 28 Nov 2024 07:41:17 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Yet another java dependency fix

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Wed, 27 Nov 2024 12:30:13 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Add missing dependency for jvm heap file

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Wed, 27 Nov 2024 11:24:31 +0100

bigloo (4.6a-1) unstable; urgency=low

  * 32-bit architecture fix (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Tue, 26 Nov 2024 10:26:43 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Minor fix

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Mon, 25 Nov 2024 16:14:32 +0100

bigloo (4.6a-1) unstable; urgency=low

  * C Header signedness (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Tue, 19 Nov 2024 17:27:05 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Typos (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Tue, 19 Nov 2024 15:09:18 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Fix typo

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Tue, 19 Nov 2024 12:12:56 +0100

bigloo (4.6a-1) unstable; urgency=low

  * New tagging fix (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Sun, 17 Nov 2024 15:14:36 +0100

bigloo (4.6a-1) unstable; urgency=low

  * debug trace cleanup (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Sun, 17 Nov 2024 10:56:18 +0100

bigloo (4.6a-1) unstable; urgency=low

  * C tagging schema revisited

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Sun, 17 Nov 2024 08:10:14 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Significant read memory allocation reduction

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Thu, 14 Nov 2024 05:33:52 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Add stdbool.h (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Sun, 10 Nov 2024 06:44:52 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Disable stack allocation when nan tagging enabled (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Sat, 9 Nov 2024 09:27:51 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Fix integer overflow (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Fri, 8 Nov 2024 11:49:00 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Fix nan-tagging overflow checks

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Fri, 8 Nov 2024 11:19:44 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Enable unsafe-cell for the C backend (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Fri, 8 Nov 2024 09:23:47 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Preparing unsafe cells (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Fri, 8 Nov 2024 09:10:38 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Minor bug fix on the new setrlimit function

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Tue, 5 Nov 2024 18:06:16 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Extend setrlimit to support fixnum values (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Tue, 5 Nov 2024 13:04:16 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Add unlimited value to setrlimit (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Tue, 5 Nov 2024 12:41:04 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Minor overflow bug fix (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Tue, 5 Nov 2024 09:49:31 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Fix build gmp dependency

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Mon, 4 Nov 2024 13:43:32 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Fix incorrect fixnum macro expansion when CFA is enabled

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Sat, 2 Nov 2024 15:25:56 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Fix runtime Makefile that broke the build process

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Sat, 2 Nov 2024 01:01:02 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Fix Makefile dependency that was breaking the build process

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Sat, 2 Nov 2024 00:43:35 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Change bootstrapping version

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Fri, 1 Nov 2024 22:51:48 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Fix the string->real prototype that used to cause strings boxing/unboxing (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Thu, 31 Oct 2024 13:47:10 +0100

bigloo (4.6a-1) unstable; urgency=low

  * Minor buf fix

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Fri, 4 Oct 2024 06:42:43 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Merge branch 'master' of inria:GIT/bigloo

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Fri, 27 Sep 2024 06:47:15 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Fix C negative fixnum literals code generation (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Thu, 26 Sep 2024 08:47:56 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Fix cfa closure typing

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Wed, 25 Sep 2024 22:10:49 +0200

bigloo (4.6a-1) unstable; urgency=low

  * bignum cleanup (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Wed, 25 Sep 2024 11:57:14 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Fix closure typing

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Tue, 24 Sep 2024 15:47:37 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Complete boxed-closures configuration (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Tue, 24 Sep 2024 09:50:31 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Prepare typed/untyped closures (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Tue, 24 Sep 2024 08:03:07 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Enable new dataflow optimization (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Mon, 23 Sep 2024 10:04:18 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Prepare boxed integers pre-allocation

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Mon, 23 Sep 2024 09:49:26 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Improved type reduction (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Mon, 23 Sep 2024 08:41:04 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Improved cfa proceduring typing (still not 100% correct) (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Fri, 20 Sep 2024 08:13:42 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Add prebox optimization that removes redundant unbox/box operations (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Thu, 19 Sep 2024 10:49:36 +0200

bigloo (4.6a-1) unstable; urgency=low

  * symbol-exists (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Wed, 18 Sep 2024 21:29:26 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Fix procedure-el typing (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Wed, 18 Sep 2024 21:13:56 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Prepare better eq for non-C backends (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Wed, 18 Sep 2024 09:22:04 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Minor eq? compiler optimization (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Wed, 18 Sep 2024 07:03:52 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Fix jvm procedure-l typing (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Tue, 17 Sep 2024 07:06:04 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Fix procedure-l typing (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Mon, 16 Sep 2024 16:50:06 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Makefile adjustments

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Thu, 12 Sep 2024 07:37:25 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Merge branch 'master' of inria:GIT/bigloo

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Wed, 11 Sep 2024 07:32:00 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Improve automatic module resolution (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Tue, 10 Sep 2024 07:19:39 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Open hashtable export for bootstrap (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Mon, 9 Sep 2024 16:51:16 +0200

bigloo (4.6a-1) unstable; urgency=low

  * New hashtable export for portable backends bootstrap (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Mon, 9 Sep 2024 07:43:26 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Java eval overflow bug fix

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Sun, 8 Sep 2024 15:35:39 +0200

bigloo (4.6a-1) unstable; urgency=low

  * merge

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Sun, 8 Sep 2024 13:44:17 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Fix closure optimization

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Sun, 8 Sep 2024 13:43:38 +0200

bigloo (4.6a-1) unstable; urgency=low

  * merge

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Sun, 8 Sep 2024 13:42:40 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Fix cfa vref typing (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Sun, 8 Sep 2024 13:41:05 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Fix eval generic binary operators that were not detecting overflows (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Sun, 8 Sep 2024 12:30:30 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Rename jvm-type-name (bootstrap)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Tue, 3 Sep 2024 07:49:22 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Bignumber fixes (again 13)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Thu, 29 Aug 2024 14:48:33 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Bignumber fixes (again 12)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Thu, 29 Aug 2024 14:24:39 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Bignumber fixes (again 11)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Thu, 29 Aug 2024 13:58:29 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Bignumber fixes (again 10)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Thu, 29 Aug 2024 13:46:00 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Bignumber fixes (again 8)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Thu, 29 Aug 2024 11:32:34 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Bignumber fixes (again 7)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Thu, 29 Aug 2024 11:31:59 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Bignumber fixes (again 6)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Thu, 29 Aug 2024 11:29:05 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Bignumber fixes (again 5)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Thu, 29 Aug 2024 11:02:56 +0200

bigloo (4.6a-1) unstable; urgency=low

  * Bignumber fixes (again 4)

 -- Manuel Serrano <Manuel.Serrano@inria.fr>  Thu, 29 Aug 2024 10:56:13 +0200
